PortletRequestBindingException (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.web.portlet.bind

## Class PortletRequestBindingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.portlet.PortletException
      - - org.springframework.web.portlet.bind.PortletRequestBindingException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    MissingPortletRequestParameterException

      public class PortletRequestBindingException
      extends PortletException

  Fatal binding exception, thrown when we want to treat binding exceptions as unrecoverable.
  Since:
    2.0
  Author:
    Juergen Hoeller, John A. Lewis
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PortletRequestBindingException(String msg)` Constructor for PortletRequestBindingException.
    `PortletRequestBindingException(String msg, Throwable cause)` Constructor for PortletRequestBindingException.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PortletRequestBindingException

          public PortletRequestBindingException(String msg)

      Constructor for PortletRequestBindingException.
      Parameters:
        `msg` - the detail message

    - #### PortletRequestBindingException

          public PortletRequestBindingException(String msg,
                                        Throwable cause)

      Constructor for PortletRequestBindingException.
      Parameters:
        `msg` - the detail message
        `cause` - the root cause